summaryrefslogtreecommitdiffstats
path: root/bin/diffoscope_pypi_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/diffoscope_pypi_test.sh')
-rwxr-xr-xbin/diffoscope_pypi_test.sh41
1 files changed, 0 insertions, 41 deletions
diff --git a/bin/diffoscope_pypi_test.sh b/bin/diffoscope_pypi_test.sh
deleted file mode 100755
index d2fa0c82..00000000
--- a/bin/diffoscope_pypi_test.sh
+++ /dev/null
@@ -1,41 +0,0 @@
-#!/bin/bash
-
-# Copyright 2014-2016 Holger Levsen <holger@layer-acht.org>
-# released under the GPLv=2
-
-DEBUG=false
-. /srv/jenkins/bin/common-functions.sh
-common_init "$@"
-
-cleanup_all() {
- rm $TMPPYPI
-}
-
-#
-# main
-#
-TMPPYPI=$(mktemp -t diffoscope-pypi-XXXXXXXX)
-trap cleanup_all INT TERM EXIT
-
-DIFFOSCOPE_IN_DEBIAN=$(rmadison diffoscope|egrep '(unstable|sid)'| awk '{print $3}' || true)
-curl https://pypi.python.org/pypi/diffoscope/ -o $TMPPYPI
-DIFFOSCOPE_IN_PYPI=$(grep "<title>" $TMPPYPI | cut -d ">" -f2- | cut -d ":" -f1 |cut -d " " -f2)
-echo
-echo
-if [ "$DIFFOSCOPE_IN_DEBIAN" = "$DIFFOSCOPE_IN_PYPI" ] ; then
- echo "Yay. diffoscope in Debian has the same version as on PyPI: $DIFFOSCOPE_IN_DEBIAN"
-elif dpkg --compare-versions "$DIFFOSCOPE_IN_DEBIAN" gt "$DIFFOSCOPE_IN_PYPI" ; then
- echo "Fail: diffoscope in Debian: $DIFFOSCOPE_IN_DEBIAN"
- echo "Fail: diffoscope in PyPI: $DIFFOSCOPE_IN_PYPI"
- exit 1
-else
- echo "diffoscope in Debian: $DIFFOSCOPE_IN_DEBIAN"
- echo "diffoscope in PyPI: $DIFFOSCOPE_IN_PYPI"
- echo
- echo "Failure is the default action…"
- exit 1
-fi
-
-# the end
-cleanup_all
-trap - INT TERM EXIT